Filter::StringMatch(3)

NAME
Log::Log4perl::Filter::StringMatch - Filter to match the log level exactly

SYNOPSIS
    log4perl.filter.Match1               = Log::Log4perl::Filter::StringMatch
    log4perl.filter.Match1.StringToMatch = blah blah
    log4perl.filter.Match1.AcceptOnMatch = true

DESCRIPTION
This Log4perl custom filter checks if the currently submitted message matches a predefined regular expression, as set in the "StringToMatch" parameter. It uses common Perl 5 regexes.

The additional parameter "AcceptOnMatch" defines if the filter is supposed to pass or block the message on a match ("true" or "false").

SEE ALSO
Log::Log4perl::Filter, Log::Log4perl::Filter::LevelMatch, Log::Log4perl::Filter::LevelRange, Log::Log4perl::Filter::Boolean

AUTHOR
Mike Schilli, <log4perl@perlmeister.com>, 2003